org.apache.ignite.internal.visor.file

## Class VisorFileBlockTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.file.VisorFileBlockTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorFileBlockTaskArg
    extends VisorDataTransferObject

Arguments for `VisorFileBlockTask`

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorFileBlockTaskArg()` Default constructor.
`VisorFileBlockTaskArg(String path, long off, int blockSz, long lastModified)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBlockSize()`
`long` `getLastModified()`
`long` `getOffset()`
`String` `getPath()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorFileBlockTaskArg

    public VisorFileBlockTaskArg()

Default constructor.

#### VisorFileBlockTaskArg

    public VisorFileBlockTaskArg(String path,
                                 long off,
                                 int blockSz,
                                 long lastModified)

Parameters:
  `path` - Log file path.
  `off` - Offset in file.
  `blockSz` - Block size.
  `lastModified` - Log file last modified timestamp.

### Method Detail

#### getPath

    public String getPath()

Returns:
  Log file path.

#### getOffset

    public long getOffset()

Returns:
  Log file offset.

#### getBlockSize

    public int getBlockSize()

Returns:
  Block size

#### getLastModified

    public long getLastModified()

Returns:
  Log file last modified timestamp.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019